# ScePspUnion128 Union Reference

`#include <sdk/base/psptypes.h>`

Collaboration diagram for ScePspUnion128:

[legend]

## Data Fields

SceULong64 | ul [2]
SceLong64 | l [2]
unsigned int | ui [4]
int | i [4]
unsigned short | us [8]
short int | s [8]
unsigned char | uc [16]
char | c [16]
float | f [4]
ScePspFRect | fr
ScePspIRect | ir
ScePspFVector4 | fv
ScePspIVector4 | iv
ScePspFQuaternion | fq
ScePspFColor | fc
ScePspRGBA8888 | rgba8888 [4]
ScePspRGBA4444 | rgba4444 [8]
ScePspRGBA5551 | rgba5551 [8]
ScePspRGB565 | rgb565 [8]

## Field Documentation

char ScePspUnion128::c[16]

float ScePspUnion128::f[4]

ScePspFColor ScePspUnion128::fc

ScePspFQuaternion ScePspUnion128::fq

ScePspFRect ScePspUnion128::fr

ScePspFVector4 ScePspUnion128::fv

int ScePspUnion128::i[4]

ScePspIRect ScePspUnion128::ir

ScePspIVector4 ScePspUnion128::iv

SceLong64 ScePspUnion128::l[2]

ScePspRGB565 ScePspUnion128::rgb565[8]

ScePspRGBA4444 ScePspUnion128::rgba4444[8]

ScePspRGBA5551 ScePspUnion128::rgba5551[8]

ScePspRGBA8888 ScePspUnion128::rgba8888[4]

short int ScePspUnion128::s[8]

unsigned char ScePspUnion128::uc[16]

unsigned int ScePspUnion128::ui[4]

SceULong64 ScePspUnion128::ul[2]

unsigned short ScePspUnion128::us[8]

The documentation for this union was generated from the following file:

- sdk/base/psptypes.h